%% save_data
%    save the current state of the table to the data object so that
%    it can be saved either in a block or in a binary file
% inputs:
%   object:GUI - current GUI object
% outputs:
%   none
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [] = save_data(object)
% new storage
object.data.function_name = get(object.function_name_control,'String');
object.data.function_inputs = get(object.function_inputs_control,'String');
object.data.checked = object.pvs_checked;
object.data.multi_mode = object.multi_mode;

set.set = 1;
set.inputs = object.settings.pvs_includes;
set.count = object.settings.counter_trials;
set.range = object.settings.counter_range;
set.except = object.settings.except;
object.data.settings = set;
end

